字幕对冲突

Moses Skoda工程师预计阅读 1 分钟

API 返回此错误时,响应状态为 422 Unprocessable Content。其 type 为 https://lingo.dev/docs/api/errors/vtt-pairs-repeated。所有错误的通用结构请参阅错误和状态码。

VTT 对中,同一源文本和目标语言区域存在相互冲突的条目:"<text>" → pt-BR

字段#

除标准的 type、status、title 和 detail 成员外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。

字段类型
pairsobject[]
pairs[].textstring
pairs[].targetLocalestring

示例#

json
{
  "detail": "VTT pair contains conflicting entries for the same source text and target locale: \"<text>\" → pt-BR",
  "pairs": [
    {
      "text": "<text>",
      "targetLocale": "pt-BR"
    }
  ],
  "type": "https://lingo.dev/docs/api/errors/vtt-pairs-repeated",
  "status": 422,
  "title": "Conflicting subtitle pairs"
}

返回此错误的端点#

  • POST /v2/engines/{engineId}/glossary-terms/extract-from-vtt